Subject: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

From: martin rudalics <[email-masked]>
Date: Sun, 1 Dec 2024 12:05:46 +0100

> The puzzle is why having only F11 `fullboth' fullscreens will shift the
 > bottom edge up by 8 pixels on CTWM restart.

So I see two problems we have to investigate:

- The fullscreen parameters are reset when restarting CWTM regardless of
   whether the frame was maximized or fullboth.  This means that when you
   do F11, restart CWTM and do F11 again the frame will become fullscreen
   again.  Right?

- The size of fullscreen frames shrinks by 8 pixels unless there is a
   maximized frame present.

IIUC you are using Lucid.  Now in xterm.c there are three instances of

store_frame_param (f, Qfullscreen, lval);

Can you put a breakpoint on each of them, ideally conditioned on lval
equaling Qnil, restart CWTM and post a backtrace of whatever happens.
I'd like to find out what kind of event makes us reset the parameter.

martin